uuid: 37feab6c-850e-4e83-a2ca-610d470d7bb8
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_menu_links
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Menu links'
source:
  plugin: menu_link
  constants:
    bundle: menu_link_content
process:
  id:
    -
      plugin: get
      source: mlid
  bundle:
    -
      plugin: get
      source: constants/bundle
  title:
    -
      plugin: get
      source: link_title
  description:
    -
      plugin: get
      source: description
  menu_name:
    -
      plugin: migration_lookup
      migration: upgrade_d7_menu
      source: menu_name
    -
      plugin: skip_on_empty
      method: row
  link/uri:
    -
      plugin: link_uri
      source: link_path
  link/options:
    -
      plugin: get
      source: options
  route:
    -
      plugin: route
      source:
        - link_path
        - options
  route_name:
    -
      plugin: get
      source: '@route/route_name'
  route_parameters:
    -
      plugin: get
      source: '@route/route_parameters'
  url:
    -
      plugin: get
      source: '@route/url'
  options:
    -
      plugin: get
      source: '@route/options'
  external:
    -
      plugin: get
      source: external
  weight:
    -
      plugin: get
      source: weight
  expanded:
    -
      plugin: get
      source: expanded
  enabled:
    -
      plugin: get
      source: enabled
  parent:
    -
      plugin: menu_link_parent
      source:
        - plid
        - '@menu_name'
        - parent_link_path
  changed:
    -
      plugin: get
      source: updated
destination:
  plugin: 'entity:menu_link_content'
  no_stub: true
migration_dependencies:
  required:
    - upgrade_d7_menu
  optional:
    - upgrade_d7_node_agenda
    - upgrade_d7_node_annual_report
    - upgrade_d7_node_article
    - upgrade_d7_node_author
    - upgrade_d7_node_become_a_member_slideshow
    - upgrade_d7_node_blog
    - upgrade_d7_node_conference_proceeding
    - upgrade_d7_node_cvent_event
    - upgrade_d7_node_cvent_guest
    - upgrade_d7_node_data_sites
    - upgrade_d7_node_donors
    - upgrade_d7_node_event
    - upgrade_d7_node_event_investor
    - upgrade_d7_node_event_session
    - upgrade_d7_node_event_vendor
    - upgrade_d7_node_finance_gap
    - upgrade_d7_node_forum
    - upgrade_d7_node_industry_council_member
    - upgrade_d7_node_member
    - upgrade_d7_node_members_spotlight
    - upgrade_d7_node_member_resource
    - upgrade_d7_node_page
    - upgrade_d7_node_partners
    - upgrade_d7_node_poll
    - upgrade_d7_node_post
    - upgrade_d7_node_simplenews
    - upgrade_d7_node_sme_finance_challenge
    - upgrade_d7_node_team
    - upgrade_d7_node_webform
    - upgrade_d7_node_winners
    - upgrade_d7_menu
